Package org.apache.commons.codec

# Interface StringDecoder

All Superinterfaces:
  `Decoder`

All Known Implementing Classes:
  `BCodec`, `QCodec`, `QuotedPrintableCodec`, `URLCodec`

public interface StringDecoder extends Decoder
Defines common decoding methods for String decoders.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `decode(String source)`
  Decodes a String and returns a String.

  ### Methods inherited from interface org.apache.commons.codec.Decoder

  `decode`

- ## Method Details

  - ### decode

    String decode(String source) throws DecoderException
    Decodes a String and returns a String.
    Parameters:
      `source` - the String to decode
    Returns:
      the encoded String
    Throws:
      `DecoderException` - thrown if there is an error condition during the Encoding process.